#!/bin/bash

export i=0
/usr/bin/lspci | /usr/bin/awk -F'SATA controller: ' '{if ($0 ~ /SATA controller:/) { print $2 }}' | while read c
do
	echo "disk_controller${i}=${c}"
	i=$((i+1))
done

/usr/bin/awk '{if($NF ~ /^sd([a-z]+)$/) {print $NF}}' /proc/partitions | while read device
do
	echo -n "${device}_serial=" ; /usr/sbin/smartctl -a "/dev/${device}" | awk '{if($0 ~ /^Serial\s+Number\:/) {print $NF}}'
done
