#!/bin/bash

for disk in $(/usr/bin/awk '{ if($NF ~ /(sd[a-z]+)$/) { print $NF }}' < /proc/partitions)
do
  if /bin/egrep -q '^0$' "/sys/block/${disk}/queue/rotational"
  then
    if /usr/sbin/smartctl -a "/dev/${disk}" | /bin/egrep -q 'Rotation\s+Rate:\s+Solid\s+State\s+Device'
    then
      echo "blockdevice_${disk}_type=ssd"
    else
      echo "blockdevice_${disk}_type=flash"
    fi
  else
    echo "blockdevice_${disk}_type=hdd"
  fi
done
